- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
CSL_MscCtrlObject Struct Reference
USB MSC Data Structures

MSC Control Object structure. More...

`#include <csl_msc.h>`

## Data Fields
CSL_UsbEpObj | ctrlInEpObj
| Control In Endpoint Object.
CSL_UsbDevNum | devNum
| Object of Type Device Number.
CSL_UsbEpObj | ctrlOutEpObj
| Control Out Endpoint Object.
Uint16 | suspendFlag
| Flag Used internally by APIs.
pUsbEpHandle | hEpObjArray [CSL_MSC_NO_ENDPTOBJECT]
| NULL terminated array of Endpoint Objects.
CSL_UsbSetupStruct | usbSetup
| Setup Structure.
Uint16 | highSpeedCfgDescr [CSL_MSC_CFGDESC_TOTAL_LEN]
| Dummy descriptor array.
Uint16 | fullSpeedCfgDescr [CSL_MSC_CFGDESC_TOTAL_LEN]
| other speed configuration descriptor array
Uint16 | deviceDescr [CSL_MSC_DEVDESC_LEN]
| Device descriptor.
Uint16 | deviceQualDescr [CSL_MSC_DEVQUALDESC_LEN]
| Device qualifier descriptor.
Uint16 | confDescr [CSL_MSC_CONFDESC_LEN]
| Configuration descriptor.
Uint16 | massStorageIntDescr [CSL_MSC_MS_INTDESC_LEN]
| Mass storage Interface descriptor.
Uint16 | massStorageBulkOutEndptDescr [CSL_MSC_MS_BULKOUT_ENDPTDESC_LEN]
| Mass Storage Bulk Out Endpoint Descriptor.
CSL_UsbDataStruct | massStorageInterfcLnk
| Mass Storage Bulk In Endpoint Link.
Uint16 | massStorageBulkInEndptDescr [CSL_MSC_MS_BULKIN_ENDPTDESC_LEN]
| Mass Storage Bulk In Endpoint Descriptor.
CSL_UsbDataStruct | massStorageBulkOutEndptLnk
| Mass Storage Bulk Out Endpoint Link.
Uint16 | stringDescrLangid [CSL_MSC_STRDESC_LANGID_LEN]
| String Descriptor Language ID.
Uint16 | curConfigStat
| Current Device Configuration Status.
CSL_UsbDataStruct | massStorageBulkInEndptLnk
| Mass Storage Bulk In Endpoint Link.
Uint16 | ctrlBuffer [CSL_MSC_CTRLBUFF_LEN]
| Array used for General Purpose.
CSL_UsbDataStruct | configDescrLnk
| Configuration Descriptor Link.
char ** | strDescr
| String descriptor pointer.
CSL_MscRequestStruct * | mscReqTable
| Pointer to the request Table.
CSL_MscRequestRet(* | fpRequestHandler )(CSL_MSC_REQUEST_ARGS)
| Request handler function pointer.
Bool | usbSpeedCfg
| USB speed configuration usbSpeedCfg - 1; High speed usbSpeedCfg - 0; Full speed.
Uint16 * | pCfgDescr
| Pointer to hold the configuration descriptor for the speed under operation.
Uint16 * | pOtherSpeedCfgDescr
| Pointer to hold the configuration descriptor for the other speed which is supported by the device.

## Detailed Description

MSC Control Object structure.

Holds all the components for the MSC Control Object

The documentation for this struct was generated from the following file:

- csl_msc.h